# Create a web page that has first name and last name text boxes and a submit button. Submit the form to a page that displays the full name.

# pip install Flask

from flask import Flask, render_template, request

app = Flask(__name__)

@app.route('/')

def index():
    #return render_template('contactus.html')
    # Create the html code for the form
    return '''
    <html>
        <body>
            <form action="/submit" method="POST">
                <input type="text" name="firstname" placeholder="First Name">
                <input type="text" name="lastname" placeholder="Last Name">
                <input type="submit" value="Submit">
            </form>
        </body>
    </html>
    '''

@app.route('/submit', methods=['POST'])

def submit():
    if request.method == 'POST':
        firstname = request.form['firstname']
        lastname = request.form['lastname']
        #return render_template('submit.html', firstname=firstname, lastname=lastname)
        return '''
        <html>
            <body>
                <h1>Full Name</h1>
                <p>{0} {1}</p>
            </body>
        </html>
        '''.format(firstname, lastname)
    

if __name__ == '__main__':
    app.run(debug=True)
