# Python naming conventions > best practices Object Orientated Programming
# lowercase / camelCase > filenames, variables, function names, method names, properties, parameters
# UPPERCASE > PROVIDER NAMES, API NAMES, WEB SERVICE NAMES
# TitleCase > Class Names, Service Names, Input Names, Namespace Names
# snake_case or underscore_case > filenames, function names, method names

# string type list of chars
firstName = "Bob"  # 'B' 'o' 'b'  len(3)  range[0-2] property assigned value

# firstname variable name
# Bob  assigned value
# " "  data type string
# property is a variable name with type
# assign value to a property

lastName = "Smith" # len(5)  range[0-4]

fullname = firstName + " " + lastName  # + join

age = 21

ageIn10Years = age + 10  # + add

StartOfLastName = lastName[0]
print(StartOfLastName)  # S
print(fullname) # Bob Smith

# Ask the user to enter their middle name then print the new value
# input() python strings
# middleName   variable name
middleName = input("Enter your middle name: ")
print(middleName)  # output

# functions have 2 parts
# part 1 define the function
# part 2 call the function
# Define a function named calc that adds x and y to z. Ask the user for the x and y values, then print z from the variable in memory.
def calc():
    x = input("Enter x: ")   # y is implicitly applied as string
    y = input("Enter y: ")   # x is implicitly applied as string
    z = int(x) + int(y)
    print(z)

# Define a function named calcOption2 and ask the user for 2 int x and y, then print x + y
def calcOption2():
    x = int(input("Enter x: "))
    y = int(input("Enter y: "))
    z = x + y
    print(z)

# call the function
calc()
calcOption2()